Subject: [apps-discuss] RFC for XMLObject Parsing

From: Brian Aberle <[email-masked]>
Date: Thu, 27 Feb 2014 13:02:40 -0700

Hello World,

I am seeking community feedback regarding an official alternative to SAX and DOM.  I have put together several examples that show performance numbers which alone justify this alternative to SAX or DOM.  There are other reasons as well, primarily - the argument for "Object Oriented Design" in the application layer.  This issue in discussion here before the community is: Do we want an RFC for this?  Maybe not.  Maybe so.  We don't all want to keep inventing the wheel.  The concept is simple.  It is "XML Serialization".XMLObject Parsing?  We don't need to invent new words, but we must also note that "Serialization" includes neither Keyed XML Updates nor Object Instance Reference counting.  We also don't need fancy things that we just don't need, however I have prepared an example using CORBA that does need this(and we needed it on the $2B NCIS project).  This concept was identified quickly by Bjarne Stroustrup in this thread:  http://www.artima.com/forums/flat.jsp?forum=226&thread=204721Today that thread has: 20 replies on     2 pages.          Most recent reply:    Feb 12, 2010 12:43 AM     by             Brian Aberle   
I recommend that this thread be continuation from that one, where we resolve to solve an identified need (for and RFC?)  That is the question. I have prepared a rough and rogue draft on this concept http://www.codeproject.com/Articles/37850/XMLFoundation-2 I have received much valuable feedback in the public forum at the bottom of that article over the past decade++;  The roughness of the draft HTML doc describing this stuff, should not reflect on the polished and refined all encompassing open source implementation.I had developed/co-developed 2 XML Parsers prior to the finalization of XML 1.0.  That is rather simple stuff in terms of implementation - fact backed by the "Yet Another" factor in available XML Parsers.  "XML Serialization" is perhaps slightly more complex in implementation.  We need to use the new word "XML Object Parsing" or perhaps "XML Serialization++" to describe the even more complex implementation which addresses the needs raised in the above two public threads over the past decade.Since the very purpose of IETF is designed to prevent us all from re-inventing the wheel when we collectively can identify a need for it, (each of us would create our own cool version no doubt) but collectively we would roll nowhere that way - Should we have an RFC for this?  That is the question.
 
World, what do you think?